From 9733a689e2e7280197e7ff188eb1ae306e199c82 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Thu, 28 Sep 2023 19:27:03 -0700
Subject: [PATCH v1 1/2] meson: macos: Correct -exported_symbols_list syntax
 for Sonoma compat

-exported_symbols_list=... works on Ventura and a few earlier releases, but
not on Sonoma. The easiest way to fix it is to -Wl,-exported_symbols_list,@0@
which actually seems more appropriate anyway, it's obviously a linker
argument.

Discussion: https://postgr.es/m/20230928222248.jw6s7yktpfsfczha@alap3.anarazel.de
---
 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index 5422885b0a2..862c955453f 100644
--- a/meson.build
+++ b/meson.build
@@ -224,7 +224,7 @@ elif host_system == 'darwin'
   library_path_var = 'DYLD_LIBRARY_PATH'
 
   export_file_format = 'darwin'
-  export_fmt = '-exported_symbols_list=@0@'
+  export_fmt = '-Wl,-exported_symbols_list,@0@'
 
   mod_link_args_fmt = ['-bundle_loader', '@0@']
   mod_link_with_dir = 'bindir'
-- 
2.41.0.rc2

